Bug 1005696 - roundcubemail depends on httpd (apache)
Summary: roundcubemail depends on httpd (apache)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: roundcubemail
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-09 08:30 UTC by Guido Berhoerster
Modified: 2013-10-19 12:39 UTC (History)
4 users (show)

Fixed In Version: roundcubemail-0.9.4-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-23 00:29:23 UTC


Attachments (Terms of Use)

Description Guido Berhoerster 2013-09-09 08:30:13 UTC
It is possible to serve roundcubemail with many different webservers other than apache e.g. lighttpd/nginx in combination with spawn-fcgi/php-fpm/uwsgi or only uwsgi. Please remove the direct dependency on httpd which enforces the installation apache. I suppose it could be changed to "webserver" which is provided by lighttpd, nginx or subpackages with a default configuration could be added similar to how the owncloud package does it.

Comment 1 Fedora Update System 2013-09-09 13:32:07 UTC
roundcubemail-0.9.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/roundcubemail-0.9.4-1.fc18

Comment 2 Fedora Update System 2013-09-09 13:32:33 UTC
roundcubemail-0.9.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/roundcubemail-0.9.4-1.el6

Comment 3 Fedora Update System 2013-09-09 13:32:52 UTC
roundcubemail-0.9.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/roundcubemail-0.9.4-1.fc19

Comment 4 Fedora Update System 2013-09-09 13:33:21 UTC
roundcubemail-0.9.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/roundcubemail-0.9.4-1.fc20

Comment 5 Fedora Update System 2013-09-09 16:21:37 UTC
Package roundcubemail-0.9.4-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing roundcubemail-0.9.4-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16162/roundcubemail-0.9.4-1.fc20
then log in and leave karma (feedback).

Comment 6 Guido Berhoerster 2013-09-10 20:31:02 UTC
Thanks for the quick response. I just tried roundcubemail-0.9.4-1.el6 and it still drags in apache due to the dependency on "php" which in turn depends on "httpd", could you remove that as well?

Comment 7 Gwyn Ciesla 2013-09-11 12:56:33 UTC
I can't, as that's provided by RHEL.

Comment 8 Guido Berhoerster 2013-09-11 13:11:34 UTC
I mean roundcubemail's dependency on the package "php" which contains the apache php module (and therefore in turn depends on httpd) and is not needed e.g. when running php via cgi or php-fpm.

Comment 9 Gwyn Ciesla 2013-09-11 13:20:11 UTC
What would you suggest replacing it with?

Comment 10 Guido Berhoerster 2013-09-11 14:15:05 UTC
Currently php webapps can be served through php/php-fpm/php-cli/php-embedded, more precisely at least through the following combinations of webserver and php runtime:

httpd:
- php (embedded)
- mod_fcgid + php-fpm (FastCGI)
- php-cli (CGI)

lighttpd:
- php-fpm (FastCGI)
- php-cli (CGI)

nginx:
- php-fpm (FastCGI)

uwsgi:
- uwsgi-plugin-php (embedded)
- behind mod_uwsgi of any of the above servers

There is a precedent in the owncloud package which ships owncloud-nginx and owncloud-httpd subpackages but IMO due to the sheer number of possible combinations that doesn't really scale.
Maybe a pragmatic approach is to just ship example configs for the common cases e.g. apache+php but without depending on a webserver and a specific php runtime?

Comment 11 Fedora Update System 2013-09-18 13:04:38 UTC
roundcubemail-0.9.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-09-18 13:07:36 UTC
roundcubemail-0.9.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Guido Berhoerster 2013-09-20 10:08:13 UTC
Not yet resolved, see comment #9 and #10.

Comment 14 Gwyn Ciesla 2013-09-20 13:37:27 UTC
I'm reluctant to make changes that result in yum install roundcubemail not resulting in something workable.  Does the presence of httpd on the system prevent the installation or operation of one of the other methods?  I understand the desire to minimize the installed packages on a system, but I also want to avoid breaking things.

Comment 15 Guido Berhoerster 2013-09-20 18:37:43 UTC
No, I opened this bug report only because of the excessive dependencies of apache and mod_php and because I noticed the new owncloud package addressing this. Arguably this is a bigger issue that affects other webapps as well (in particular since there are more possibilities for running them than ever and disk space is a concern as webapps are commonly run from vms).
I agree that a package should express all dependencies, maybe a solution would be to expand on the owncloud scheme and add a separate subpackage with all common files excluding a specific webserver default configuration, e.g.

webapp
- mostly empty package
- requires webapp-webserver
- requires webapp-common

webapp-httpd
- contains the config for httpd and mod_php
- provides webapp-webserver
- requires webapp
- requires httpd
- requires php

webapp-nginx
- contains the config for httpd and php-fpm
- provides webapp-webserver
- requires webapp
- requires nginx
- requires php-fpm

webapp-common
- contains actual webapp without webserver specific default configuration

By splitting out the common package one can install the webapp without a default configuration for a more adavanced use cases, e.g. stripped down vm, serving via uwsgi.

Comment 16 Fedora Update System 2013-09-23 00:29:23 UTC
roundcubemail-0.9.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2013-09-24 16:14:40 UTC
roundcubemail-0.9.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Robert Scheck 2013-10-19 12:39:18 UTC
Does this change make sense at all? Roundcube still depends on the "apache"
user and I'm in doubt that others than Apache Webserver provide the "apache"
system user?


Note You need to log in before you can comment on or make changes to this bug.